ISOQUERY(1)

NOMBRE
isoquery - buscar y mostrar varios códigos ISO (país, idioma, ...)

SINOPSIS

isoquery [OPTION …] [ISO codes]

DESCRIPCIÓN

Esta página del manual documenta brevemente el comando isoquery. Puede usarse para generar una salida tabular de los códigos estándar ISO proporcionados por el paquete iso-codes. Analiza los archivos JSON y muestra todos los códigos ISO incluidos o sólo las entradas coincidentes, si se especifica en la línea de órdenes. Además, es posible obtener todas las traducciones disponibles para la norma ISO.

OPCIONES

Este programa sigue la sintaxis habitual de la línea de comandos GNU, con opciones largas que empiezan por dos guiones ('-'). isoquery admite las siguientes opciones:

-i, --iso=Estándar
    La norma ISO a utilizar. Valores posibles: 639-2, 639-3, 639-5, 3166-1, 3166-2, 3166-3, 4217, 15924 (por defecto: 3166-1)

-p, --ruta=RUTA
    Utilice PATHNAME como prefijo para los archivos de datos (por defecto: /usr/share/iso-codes/json)

-l, --locale=LUGAR
    Use este LOCALE para la salida

-n, --name
    Nombre de los códigos suministrados (predeterminado)

-o, --official_name
    Nombre oficial de los códigos suministrados. Puede ser el mismo que --name (sólo se aplica a ISO 3166-1)

-c, --common_name
    Nombre común de los códigos suministrados. Puede ser el mismo que --name (sólo se aplica a ISO 639-2, 639-3 y 3166-1)

-0, --null
    Separe las entradas con un carácter NULL en lugar de una nueva línea

-f, --flag
    Mostrar las banderas de los países con letras de símbolos e indicadores regionales (sólo se aplica a ISO 3166-1)

-h, --help
    Mostrar un resumen de las opciones

-v, --version
    Mostrar la versión del programa y los derechos de autor

EJEMPLOS

Si se llama sin ninguna opción en la línea de comandos, isoquery imprimirá una tabla con todos los códigos ISO 3166-1. Las tres primeras columnas contienen el código alfa-2, el código alfa-3 y el código numérico asignado al país que aparece en la cuarta columna.

    $ isoquery
    AW      ABW     533     Aruba
    […]
    ZW      ZWE     716     Zimbabwe

Si sólo necesita algunos países, puede especificar cualquiera de los códigos de las tres primeras columnas para reducir la salida.

    $ isoquery so nor 484
    SO      SOM     706     Somalia
    NO      NOR     578     Norway
    MX      MEX     484     Mexico

Si necesita las traducciones de los nombres de los países, sólo tiene que especificar en qué LOCALE desea ver la salida. Tenga en cuenta que se mostrará el nombre original en inglés si no hay traducción disponible para el LOCALE especificado.

    $ isoquery --locale=nl fr de es
    FR      FRA     250     Frankrijk
    DE      DEU     276     Duitsland
    ES      ESP     724     Spanje

Si su terminal admite las letras del símbolo indicador regional unicode, puede utilizar la opción de línea de comandos --flag. Esas letras pueden mostrarse como una bandera de país.

    $ isoquery --flag --locale=nl fr de es
    FR      FRA     250     🇫🇷      Frankrijk
    DE      DEU     276     🇩🇪      Duitsland
    ES      ESP     724     🇪🇸      Spanje

Todo lo anterior funciona también para diferentes normas ISO, por lo que puede cambiar a la norma más extensa ISO 3166-2 utilizando la opción de línea de comandos --iso. Las columnas son código ISO 3166-2, tipo de subconjunto (por ejemplo, Estado, Provincia, etc.), padre y nombre. La tercera columna (padre) puede estar vacía.

    $ isoquery --iso=3166-2
    AD-02   Parish          Canillo
    […]
    ZW-MW   Province        Mashonaland West

Los códigos que se han suprimido de la norma ISO 3166-1 están disponibles en la norma ISO 3166-3. Las columnas son código alfa-3, código alfa-4, código numérico, comentario, fecha de retirada y nombre. Las columnas de código numérico, comentario y fecha de retirada pueden estar vacías.

    $ isoquery --iso=3166-3
    AFI     AIDJ    262             1977    French Afars and Issas
    ANT     ANHH    532             1993-07-12      Netherlands Antilles
    […]
    YUG     YUCS    891             1993-07-28      Yugoslavia, Socialist Federal Republic of
    ZAR     ZRCD    180             1997-07-14      Zaire, Republic of

Para ISO 639-2, las tres primeras columnas son el código alfa-3, el código bibliográfico y el código alfa-2. La segunda y tercera columnas pueden estar vacías.

    $ isoquery --iso=639-2
    aar             aa      Afar
    abk             ab      Abkhazian
    ace                     Achinese
    […]
    zun                     Zuni
    zxx                     No linguistic content; Not applicable
    zza                     Zaza; Dimili; Dimli; Kirdki; Kirmanjki; Zazaki

Puede recortar los resultados especificando sólo algunos códigos. Además, también está disponible la opción de obtener nombres traducidos.

    $ isoquery --iso=639-2 --locale=pt vi bo kl
    vie             vi      Vietnamita
    bod     tib     bo      tibetano
    kal             kl      Kalaallisut; Greenlandic

Si desea utilizar ISO 639-3, las columnas mostradas son alfa-3, ámbito, tipo, alfa-2, bibliográfico y el nombre de la lengua. Tanto alfa-2 como bibliográfica pueden estar vacías.

    $ isoquery -i 639-3 aal new spa guc
    aal     I       L                       Afade
    new     I       L                       Newari
    spa     I       L       es              Spanish
    guc     I       L                       Wayuu

También está disponible la norma ISO 639-5. Las columnas mostradas son alfa-3 y nombre.

    $ isoquery -i 639-5 aus tut
    aus     Australian languages
    tut     Altaic languages

Puede obtener traducciones seleccionadas de nombres de divisas de la norma ISO 4217 utilizando el siguiente comando. La primera de las columnas es el código alfa-3, y la segunda es el código numérico asignado a la moneda. El nombre de la moneda se muestra en la tercera columna.

    $ isoquery --iso=4217 --locale=da cad 392
    CAD     124     Canadisk dollar
    JPY     392     Yen

Si necesita obtener los nombres de las escrituras, puede utilizar la tabla ISO 15924. La primera de las columnas es el código alfa-4, y la segunda es el código numérico asignado al script. El nombre del script aparece en la tercera columna.

    $ isoquery --iso=15924 jpan latn 280
    Jpan    413     Japanese (alias for Han + Hiragana + Katakana)
    Latn    215     Latin
    Visp    280     Visible Speech

ARCHIVOS

Por defecto, se utilizarán los archivos JSON proporcionados por el paquete iso-codes.

    • /usr/share/iso-codes/json/iso_639-2.json

    • /usr/share/iso-codes/json/iso_639-3.json

    • /usr/share/iso-codes/json/iso_639-5.json

    • /usr/share/iso-codes/json/iso_3166-1.json

    • /usr/share/iso-codes/json/iso_3166-2.json

    • /usr/share/iso-codes/json/iso_3166-3.json

    • /usr/share/iso-codes/json/iso_4217.json

    • /usr/share/iso-codes/json/iso_15924.json

AUTOR

Dr. Tobias Quathamer

TRADUCCIÓN

gallegonovato